Identity

Create client application

post

Required permissions: Organization.Organization.ReadWrite

Body
Responses
chevron-right
200

The client application was created

application/json
idinteger · int64Required
organizationIdinteger · int64Required
clientIdstring · nullableRequired
clientSecretstring · nullableRequired
clientNamestring · nullableRequired
hintstring · nullableRequired
audienceall ofRequired

Allowed values:

0 = Api
1 = Vtn

integer · enumOptional

Allowed values:

0 = Api
1 = Vtn

Possible values:
scopesstring[] · nullableRequired
roleIdsinteger · int64[] · nullableRequired
post
/api/identity/client

Rotate client application secret

put

Required permissions: Organization.Organization.ReadWrite

Path parameters
clientIdinteger · int64Required

The identifier of the client application

Query parameters
organizationIdinteger · int64Required

The identifier of the organization

Responses
chevron-right
200

The client application secret was rotated

application/json
idinteger · int64Required
organizationIdinteger · int64Required
clientIdstring · nullableRequired
clientSecretstring · nullableRequired
clientNamestring · nullableRequired
hintstring · nullableRequired
audienceall ofRequired

Allowed values:

0 = Api
1 = Vtn

integer · enumOptional

Allowed values:

0 = Api
1 = Vtn

Possible values:
scopesstring[] · nullableRequired
roleIdsinteger · int64[] · nullableRequired
put
/api/identity/client/{clientId}/secret

Delete client application

delete

Required permissions: Organization.Organization.ReadWrite

Path parameters
clientIdinteger · int64Required

The identifier of the client application

Query parameters
organizationIdinteger · int64Required

The identifier of the organization

Responses
delete
/api/identity/client/{clientId}

No content

Last updated

Was this helpful?